import * as $dara from '@darabonba/typescript';
export declare class DescribePhysicalConnectionsRequestFilter extends $dara.Model {
    key?: string;
    value?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribePhysicalConnectionsRequest extends $dara.Model {
    clientToken?: string;
    filter?: DescribePhysicalConnectionsRequestFilter[];
    ownerAccount?: string;
    ownerId?: number;
    pageNumber?: number;
    pageSize?: number;
    /**
     * @remarks
     * This parameter is required.
     */
    regionId?: string;
    resourceOwnerAccount?: string;
    resourceOwnerId?: number;
    userCidr?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
